Bug 153874 - devel/cvs-devel port will core
Summary: devel/cvs-devel port will core
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-11 00:10 UTC by Dan Mahoney
Modified: 2011-02-22 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (379 bytes, patch)
2011-01-11 00:10 UTC, Dan Mahoney
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Mahoney 2011-01-11 00:10:06 UTC
CVS-devel port (1.12.13_9) currently coredumps when tagging a release.

Per a developer, this is due to an argument parsing a file in myndbm.c:

"The FreeBSD man page says the first argument (line) will be treated as NULL if line_size == 0.  It is == 32 in my core dump"

Fix: Simple one line patch:

%diff -u ./work/cvs-1.12.13/src/myndbm.c.orig  ./work/cvs-1.12.13/src/myndbm.c
How-To-Repeat: 
Build cvs-devel from source, attempt to tag a release.  It will coredump.
Comment 1 Tilman Keskinoz freebsd_committer 2011-01-28 10:05:39 UTC
Hello Baldwinder,

Can you take a look at
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153874
Comment 2 Tilman Keskinoz freebsd_committer 2011-01-28 10:06:00 UTC
State Changed
From-To: open->feedback

Asked maintainer for feedback
Comment 3 dfilter service freebsd_committer 2011-02-22 15:48:49 UTC
arved       2011-02-22 15:48:45 UTC

  FreeBSD ports repository

  Modified files:
    devel/cvs-devel      Makefile 
  Added files:
    devel/cvs-devel/files patch-src-myndbm.c 
  Log:
  Fix a coredump when tagging a release
  
  PR:             153874
  Submitted by:   Dan Mahoney <dmahoney@isc.org>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.26      +1 -1      ports/devel/cvs-devel/Makefile
  1.1       +14 -0     ports/devel/cvs-devel/files/patch-src-myndbm.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2011-02-22 15:48:54 UTC
State Changed
From-To: feedback->closed

committed, thanks